import type { Unsubscribe } from '@luvio/engine';
import { NativeAdapterRequestContext, type NativeCallbackValue, type NativeOnSnapshot } from './executeAdapter';
import { type ImperativeAdapterMapValue, type AdapterMapValue } from './lightningAdapterApi';
export declare function importLuvioAdapterModule(specifier: string): Promise<LuvioAdapterModule>;
declare class LuvioAdapterModule {
    imperativeAdapterMap: Record<string, ImperativeAdapterMapValue>;
    dmlAdapterMap: Record<string, AdapterMapValue>;
    constructor(module: any);
    invokeAdapter<Config>(adapterName: string, config: Config, nativeAdapterRequestContext?: NativeAdapterRequestContext): Promise<NativeCallbackValue>;
    subscribeAdapter<Config>(adapterName: string, config: Config, nativeAdapterRequestContext: NativeAdapterRequestContext, callback: NativeOnSnapshot): Unsubscribe;
    private invokeDmlAdapter;
}
export {};
